
QGIS Application - Bug report #14630

OpenLayers Plugin fails to use the System proxy

2016-04-07 09:26 AM - Nikos Tsarmpopoulos

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22595

Description

Hi,

QGIS 2.14.1 64bit (on Windows 7 Pro 64bit) is currently configured to use proxy for web access, with proxy type DefaultProxy.

When launching Web -> OpenLayers plugin and then any of the data sources, I get the following error.

An error has occurred while executing Python code:

TypeError: unable to convert a QVariant of type 10 to a QMetaType of type 2 

Traceback (most recent call last):

  File "C:/Users/username_removed/.qgis2/python/plugins\\openlayers_plugin\\weblayers\\weblayer.py", line 97, in addLayer

    self._addLayerCallback(self)

  File "C:/Users/username_removed/.qgis2/python/plugins\\openlayers_plugin\\openlayers_plugin.py", line 130, in addLayer

    layer = OpenlayersLayer(self.iface, self._olLayerTypeRegistry)

  File "C:/Users/username_removed/.qgis2/python/plugins\\openlayers_plugin\\openlayers_layer.py", line 330, in init

    self.olWebPage = OLWebPage(self)

  File "C:/Users/username_removed/.qgis2/python/plugins\\openlayers_plugin\\openlayers_layer.py", line 48, in init

    proxy = getProxy()

  File "C:/Users/username_removed/.qgis2/python/plugins\\openlayers_plugin\\tools_network.py", line 42, in getProxy

    proxy.setPort(settings.value("/proxyPort", 10, type=int))

TypeError: unable to convert a QVariant of type 10 to a QMetaType of type 2

Python version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)] 

QGIS version: 2.14.1-Essen Essen, ea85bef

Python Path:

C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing

C:\\Users\\username_removed\\.qgis2\\python\\plugins\

avidata

C:/PROGRA~1/QGISES~1/apps/qgis/./python

C:/Users/username_removed/.qgis2/python

C:/Users/username_removed/.qgis2/python/plugins

C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\matplotlib-1.3.1-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\

ose-1.3.3-py2.7.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\tornado-4.0.1-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\backports.ssl_match_hostname-3.4.0.2-py2.7.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\certifi-14.05.14-py2.7.egg
C:\\PROGRA~1\\QGISES~1\\bin\\python27.zip

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\DLLs

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\plat-win

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\lib-tk

C:\\PROGRA~1\\QGISES~1\\bin

C:\\PROGRA~1\\QGISES~1\\apps\\Python27

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\PIL

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\jinja2-2.7.2-py2.7.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\markupsafe-0.23-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\pytz-2012j-py2.7.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\win32

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\win32\\lib

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\Pythonwin

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win-amd64.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\six-1.10.0-py2.7.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\xlrd-0.9.2-py2.7.egg

C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\site-packages\\xlwt-0.7.5-py2.7.egg

C:/Users/username_removed/.qgis2//python

C:\\PROGRA~1\\QGISES~1\\apps\\qgis\\python\\plugins\\fTools\\tools

D:/WBA 2016/GIS Model

History

#1 - 2016-04-07 12:03 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Not a bug with QGIS. Please open this issue on the open layer's plugin tracker. (Or alternatively use the quick map services plugin as it does a similar thing

but with much less bugs)

#2 - 2016-04-07 12:29 PM - Nikos Tsarmpopoulos

Nyall Dawson wrote:

Not a bug with QGIS. Please open this issue on the open layer's plugin tracker. (Or alternatively use the quick map services plugin as it does a

similar thing but with much less bugs)

Thanks for your response. I'm new here and just realised there's a separate tracker for the plugin. I've now reported it there.

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
